package cn.teammodel.model.entity;

import com.azure.spring.data.cosmos.core.mapping.Container;
import com.azure.spring.data.cosmos.core.mapping.PartitionKey;
import lombok.Data;
import org.springframework.data.annotation.Id;

import java.util.List;


@Data
@Container(containerName = "Student")
public class Student {
    @Id
    private String	id;
    @PartitionKey
    private String	code;
    private String	mail;
    private String	mobile;
    private String	country;
    private String	name;
    private String	picture;
    private String	schoolId;
    private String	pw;
    private String	salt;
    private Integer	year;
    private String	no;
    private String	irs;
    private String	classId;
    private String	groupId;
    private String	groupName;
    private String	periodId;
    private String	gender;
    private Integer	graduate;
    private List<String>	loginInfos;
    private Integer	createTime;
    private List<String> guardians;
    private String	pk;
    private Integer	ttl;
    private String	_rid;
    private String	_self;
    private String	_etag;
    private String	_attachments;
    private Integer	_ts;

}

