# TeamModel extension
> SpringBoot base version of TeamModel extension
> 
> **注意**: 所有复盘输出均已脱敏,不包含任何业务,密码等关键信息

## 迁移目录:
- Azure OIDC(SSO) 迁移
- id-token(jwt) 验证迁移 (出现语言框架之间的签名算法规范问题,解决见: [输出复盘](https://juejin.cn/post/7300036605099163702))
- 钉钉告警: 异常通知
- 异常文件记录


## 数据表规则: 
### 教育评价树
分区键: `Appraise` , 表内 `schoolId` 区分学校, `periodId` 区分学区

### 教育评价项
> 学生每学期所有的评价项都在一个项中,按学校进行分区

分区键: `AppraiseRecord-{学校id}`